Hi everyone, i an new making Catia VBA macros. I started to make VBA macro for creating new part with naming file directly to in macro.
here is the problem that i have:
1. I created the simple code to make catpart (code below) and i would like to change yelow line with usser form like in the picture
Does any one knows how to do that?
Sub CATMain()
Dim Part_Name As String
[highlight #FCE94F]Part_Name = InputBox("Please enter part name and use define profile")[/highlight]
Dim documents1 As Documents
Set documents1 = CATIA.Documents
Dim partDocument1 As PartDocument
Set partDocument1 = documents1.Add("Part")
Set product1 = partDocument1.GetItem("Part1")
product1.PartNumber = Part_Name
End Sub
I would really appreciate any help
here is the problem that i have:
1. I created the simple code to make catpart (code below) and i would like to change yelow line with usser form like in the picture
Does any one knows how to do that?
Sub CATMain()
Dim Part_Name As String
[highlight #FCE94F]Part_Name = InputBox("Please enter part name and use define profile")[/highlight]
Dim documents1 As Documents
Set documents1 = CATIA.Documents
Dim partDocument1 As PartDocument
Set partDocument1 = documents1.Add("Part")
Set product1 = partDocument1.GetItem("Part1")
product1.PartNumber = Part_Name
End Sub
I would really appreciate any help